Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFrame.Shadow

    java.lang.Object
      java.lang.Enum<QFrame.Shadow>
          com.trolltech.qt.gui.QFrame.Shadow

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFrame.Shadow>

Enclosing class:
  QFrame

    public static enum QFrame.Shadow

extends java.lang.Enum<QFrame.Shadow>
implements QtEnumerator

This enum type defines the types of shadow that are used to give a 3D effect to frames.

Shadow interacts with QFrame::Shape, the `lineWidth` and the `midLineWidth`. See the picture of the frames in the main class documentation.

See Also:
  `QFrame::Shape`, `lineWidth`, `midLineWidth`

Enum Constant Summary
`CustomEnum`
`Plain` the frame and contents appear level with the surroundings; draws using the palette foreground color (without any 3D effect)
`Raised` the frame and contents appear raised; draws a 3D raised line using the light and dark colors of the current color group
`Sunken` the frame and contents appear sunken; draws a 3D sunken line using the light and dark colors of the current color group

Method Summary
`static QFrame.Shadow` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFrame.Shadow` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFrame.Shadow[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Plain

    public static final QFrame.Shadow Plain

  the frame and contents appear level with the surroundings; draws using the palette foreground color (without any 3D effect)

### Raised

    public static final QFrame.Shadow Raised

  the frame and contents appear raised; draws a 3D raised line using the light and dark colors of the current color group

### Sunken

    public static final QFrame.Shadow Sunken

  the frame and contents appear sunken; draws a 3D sunken line using the light and dark colors of the current color group

### CustomEnum

    public static final QFrame.Shadow CustomEnum

Method Detail

### values

    public static final QFrame.Shadow[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFrame.Shadow c : QFrame.Shadow.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFrame.Shadow valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFrame.Shadow resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD